Table of Contents

## Name

XcmsCIELabQueryMaxC, XcmsCIELabQueryMaxL, XcmsCIELabQueryMaxLC, XcmsCIELabQueryMinL - obtain the CIE L*a*b* coordinates

## Syntax

Status XcmsCIELabQueryMaxC(XcmsCCC ccc, XcmsFloat
  hue_angle, XcmsFloat L_star, XcmsColor *color_return);
Status XcmsCIELabQueryMaxL(XcmsCCC ccc, XcmsFloat
  hue_angle, XcmsFloat chroma, XcmsColor *color_return);
Status XcmsCIELabQueryMaxLC(XcmsCCC ccc, XcmsFloat
  hue_angle, XcmsColor *color_return);
Status XcmsCIELabQueryMinL(XcmsCCC ccc, XcmsFloat
  hue_angle, XcmsFloat chroma, XcmsColor *color_return);

## Arguments

ccc
  Specifies the CCC. Note that the CCC's Client White Point and White Point Adjustment procedures are ignored.
chroma
  Specifies the chroma at which to find maximum lightness (MaxL) or minimum lightness (MinL). or minimum lightness (MinL) or hue angle (MaxLC)
color_return
  Returns the CIE L*a*b* coordinates of c displayable by the screen for the given hue angle and lightness (MaxC), hue angle and chroma (MaxL and MinL),. The white point associated with the returned color specification is the Screen White Point. The value returned in the pixel member is undefined. or minimum lightness (MinL)
hue_angle
  Specifies the hue angle (in degrees) at which to find maximum chroma (MaxC and MaxLC), maximum lightness (MaxL),.
L_star
  Specifies the lightness (L*) at which to find s.

## Description

The XcmsCIELabQueryMaxC function, given a hue angle and lightness, finds the point of maximum chroma displayable by the screen. It returns this point in CIE L*a*b* coordinates.

The XcmsCIELabQueryMaxL function, given a hue angle and chroma, finds the point in CIE L*a*b* color space of maximum lightness (L*) displayable by the screen. It returns this point in CIE L*a*b* coordinates. An XcmsFailure return value usually indicates that the given chroma is beyond maximum for the given hue angle.

The XcmsCIELabQueryMaxLC function, given a hue angle, finds the point of maximum chroma displayable by the screen. It returns this point in CIE L*a*b* coordinates.

The XcmsCIELabQueryMinL function, given a hue angle and chroma, finds the point of minimum lightness (L*) displayable by the screen. It returns this point in CIE L*a*b* coordinates. An XcmsFailure return value usually indicates that the given chroma is beyond maximum for the given hue angle.

## See Also

XcmsCIELuvQueryMaxC(3X11) , XcmsTekHVCQueryMaxC(3X11) , XcmsQueryBlack(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also